feign:
  compression:
    request:
      enabled: true
      mime-types: application/json
      min-request-size: 2048
    response:
      enabled: true
      mime-types: application/json
  client:
    config.default:
      connectTimeout: 5000
      readTimeout: 5000
      loggerLevel: basic
  httpclient:
    connection-timeout: 50000
    max-connections: 10000
    max-connections-per-route: 1000